Bug 243583 - When no file handler is installed, an unhelpful "couldn't display" message gets shown
When no file handler is installed, an unhelpful "couldn't display" message ge...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 00:56 EDT by n0dalus
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description n0dalus 2007-06-10 00:56:58 EDT
Description of problem:
When opening a file with no application handler installed, nautilus shows an
error 'Couldn't display "$filename".'. This dialogue could be improved a lot.

- Talking about 'displaying' a file doesn't make sense with things like audio files.
- The message makes no distinction between nautilus not recognising the file
type and there being no application installed to open it.
- The dialogue doesn't suggest any possible applications that could be installed.
- The dialogue has no window title.

Version-Release number of selected component (if applicable):
nautilus-2.18.1-2.fc7

Expected results:
If the filetype is not recognized, the dialogue should say something like "File
type not recognized".
If the filetype is recognized, but there is no program installed to open it, it
should say "No program is installed to open files of type '$type'." A really
good addition to this would be to list a few Fedora packages that could be
installed to open the file. This would need to be maintained somewhere, perhaps
in the same place Gnome gets its mimetype data from.
Comment 1 Bug Zapper 2008-05-14 08:59:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:31:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.